> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Retrieve a specific customer by ID.

## Overview

Retrieve detailed information about an individual customer based on their unique ID. This endpoint allows you to view the customer's profile, including status, KYC information, and associated metadata.


## OpenAPI

````yaml GET /v1/customers/{id}
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/customers/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: The ID of the customer to retrieve.
        example: f09b9f49-87ee-458f-8325-b49d81543ea0
        schema:
          type: string
    get:
      tags:
        - Customer
      summary: Get customer
      description: Retrieve a specific customer by ID.
      operationId: getCustomer
      parameters: []
      responses:
        '200':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Date:
              schema:
                type: string
              example: Mon, 21 Jul 2025 23:18:48 GMT
            Content-Length:
              schema:
                type: integer
              example: '895'
          description: 200 - Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                        format: email
                      first_name:
                        type: string
                      last_name:
                        type: string
                      country_code:
                        type: string
                      phone:
                        type: string
                      dial_code:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      status:
                        type: string
                      meta:
                        type: object
                        properties:
                          date_of_birth:
                            type: string
                          employment_status:
                            type: string
                          expected_monthly_income:
                            type: string
                          primary_purpose:
                            type: string
                          source_of_funds:
                            type: string
                          most_recent_occupation:
                            type: string
                          document:
                            type: object
                            properties:
                              docs:
                                nullable: true
                              number:
                                type: string
                              country:
                                type: string
                              id_type:
                                type: string
                              valid_until:
                                type: string
                              provider:
                                type: integer
                              additional:
                                nullable: true
                              gender:
                                type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              country:
                                type: string
                              postal_code:
                                type: string
                              document:
                                type: object
                                properties:
                                  id_type:
                                    type: string
                                  issue_country:
                                    type: string
                                  urls:
                                    nullable: true
                          providers:
                            nullable: true
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  id: 43a2b75e-5c59-429e-872a-2a54c7b17e34
                  email: johndoe03@email.com
                  first_name: John
                  last_name: Doe
                  country_code: NGA
                  phone: '90123456789'
                  dial_code: '+234'
                  created_at: '2025-07-22T00:17:49.238398+01:00'
                  updated_at: '2025-07-22T00:17:49.713464+01:00'
                  status: APPROVAL_PENDING
                  meta:
                    date_of_birth: ''
                    employment_status: employed
                    expected_monthly_income: '0_4999'
                    primary_purpose: payments_to_friends_or_family_abroad
                    source_of_funds: salary
                    most_recent_occupation: engineering
                    document:
                      docs: null
                      number: ''
                      country: ''
                      id_type: ''
                      valid_until: ''
                      provider: 0
                      additional: null
                      gender: ''
                    address:
                      street: 12 Lekki Lane
                      city: Lekki
                      state: Lagos
                      country: Nigeria
                      postal_code: '200123'
                      document:
                        id_type: ''
                        issue_country: ''
                        urls: null
                    providers: null
                error: []
                message: operation was successful
        '400':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Date:
              schema:
                type: string
              example: Mon, 21 Jul 2025 23:21:46 GMT
            Content-Length:
              schema:
                type: integer
              example: '72'
          description: 400 - Customer not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: false
                data: {}
                error: []
                message: customer was not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````